Package org.wso2.carbon.proxyadmin.stub.types.synapse

## Class GetMetaDataResponse

- java.lang.Object
- - org.wso2.carbon.proxyadmin.stub.types.synapse.GetMetaDataResponse

- All Implemented Interfaces:
    `Serializable`, `org.apache.axis2.databinding.ADBBean`

      public class GetMetaDataResponse
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  GetMetaDataResponse bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `GetMetaDataResponse.Factory` | Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected MetaData` | `local_return` | field for _return
    `protected boolean` | `local_returnTracker` |
    `static QName` | `MY_QNAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetMetaDataResponse()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MetaData` | `get_return()` | Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement​(QName parentQName, org.apache.axiom.om.OMFactory factory)` |
    `XMLStreamReader` | `getPullParser​(QName qName)` | databinding method to get an XML representation of this object
    `boolean` | `is_returnSpecified()` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter)` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)` |
    `void` | `set_return​(MetaData param)` | Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### local_return

          protected MetaData local_return

      field for _return

    - #### local_returnTracker

          protected boolean local_returnTracker

  - ### Constructor Detail

    - #### GetMetaDataResponse

          public GetMetaDataResponse()

  - ### Method Detail

    - #### is_returnSpecified

          public boolean is_returnSpecified()

    - #### get_return

          public MetaData get_return()

      Auto generated getter method
      Returns:
        org.wso2.carbon.proxyadmin.stub.types.carbon.MetaData

    - #### set_return

          public void set_return​(MetaData param)

      Auto generated setter method
      Parameters:
        `param` - _return

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement​(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser​(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`